NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.ShadowCurveBuilder Class Reference

Represents a Features.ShadowCurve builder More...

Inheritance diagram for NXOpen.Features.ShadowCurveBuilder:
NXOpen.Features.ServiceOrientedFeatureCurveBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AccuracyTypes {
  UltraFine, Fine, Standard, Course,
  Rough
}
  More...
 
enum  ClippingTypes { None, Cone, Pyramid, Body }
  More...
 
enum  CurveLocationTypes { SilhouetteCurve, ShadowonPlane, ShadowonFace, ShadowonSphere }
  More...
 
enum  LightSourceTypes { Vector, Point }
  More...
 
enum  MaskTypes { Bodies, Curves, AssemblyUnassociativeOnly }
  More...
 

Properties

unsafe
NXOpen.Features.ShadowCurveBuilder.AccuracyTypes 
AccuracyType [get, set]
 Returns or sets the accuracy type More...
 
unsafe NXOpen.Direction BeamDirection [get, set]
 Returns or sets the beam direction More...
 
unsafe NXOpen.ScCollector ClippingBody [get, set]
 Returns or sets the clipping body More...
 
unsafe
NXOpen.Features.ShadowCurveBuilder.ClippingTypes 
ClippingType [get, set]
 Returns or sets the type More...
 
unsafe NXOpen.ScCollector CurveLocationFaces [get, set]
 Returns or sets the curve location faces More...
 
unsafe NXOpen.Plane CurveLocationPlane [get, set]
 Returns or sets the curve location plane More...
 
unsafe
NXOpen.Features.ShadowCurveBuilder.CurveLocationTypes 
CurveLocationType [get, set]
 Returns or sets the curve location type More...
 
unsafe
NXOpen.GeometricUtilities.CurveSettings 
CurveSettings [get, set]
 Returns or sets the curve setting data More...
 
unsafe double DistanceThreshold [get, set]
 Returns or sets the distance threshold More...
 
unsafe bool EnableShadowRange [get, set]
 Returns or sets the enable shadow range More...
 
unsafe NXOpen.Expression HalfAngle [get]
 Returns the half angle More...
 
unsafe
NXOpen.Features.ShadowCurveBuilder.LightSourceTypes 
LightSourceType [get, set]
 Returns or sets the light source type More...
 
unsafe NXOpen.ScCollector MaskingBodies [get, set]
 Returns or sets the masking bodies More...
 
unsafe NXOpen.Section MaskingCurves [get, set]
 Returns or sets the masking curves More...
 
unsafe
NXOpen.Features.ShadowCurveBuilder.MaskTypes 
MaskType [get, set]
 Returns or sets the mask type More...
 
unsafe bool OptimizeCurveFlag [get, set]
 Returns or sets the Optimize Curve More...
 
unsafe NXOpen.Point OriginPoint [get, set]
 Returns or sets the origin point More...
 
unsafe NXOpen.Direction RayDirection [get, set]
 Returns or sets the ray direction More...
 
unsafe NXOpen.Expression ShadowRangeOnPlane [get]
 Returns the shadow range on plane More...
 
unsafe NXOpen.Expression SphereDiameter [get]
 Returns the sphere diameter More...
 
unsafe NXOpen.ScCollector UnassociativeMaskingBodiesFromAssembly [get, set]
 Returns or sets the unassociative masking bodies from assembly More...
 
unsafe NXOpen.Direction UpVector [get, set]
 Returns or sets the up vector More...
 
unsafe NXOpen.Expression VerticalHalfAngle [get]
 Returns the vertical half angle More...
 
unsafe NXOpen.Expression WidthHalfAngle [get]
 Returns the width half angle More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Features.ShadowCurve builder

To create a new instance of this class, use NXOpen.Features.CurveFeatureCollection.CreateShadowCurveBuilder

Default values.

Property Value

AccuracyType

Standard

ClippingType

None

CurveLocationType

SilhouetteCurve

CurveSettings.CurveFitData.CurveJoinMethod

No

CurveSettings.CurveFitData.Degree

7

CurveSettings.CurveFitData.FitMethod

DegreeAndSegments

CurveSettings.CurveFitData.IsAdvancedFit

0

CurveSettings.CurveFitData.IsAlignShape

0

CurveSettings.CurveFitData.MaximumDegree

7

CurveSettings.CurveFitData.MaximumSegments

1

CurveSettings.CurveFitData.MinimumDegree

5

CurveSettings.CurveFitData.Segments

1

DistanceThreshold

0.25 (millimeters part), 0.01 (inches part)

EnableShadowRange

0

HalfAngle.Value

20

LightSourceType

Vector

MaskType

Bodies

OptimizeCurveFlag

0

ShadowRangeOnPlane.Value

5000 (millimeters part), 200 (inches part)

SphereDiameter.Value

10000 (millimeters part), 400 (inches part)

VerticalHalfAngle.Value

10

WidthHalfAngle.Value

20

Created in NX1872.0.0

Member Enumeration Documentation

Enumerator
UltraFine 
Fine 
Standard 
Course 
Rough 

Enumerator
None 
Cone 
Pyramid 
Body 

Enumerator
SilhouetteCurve 
ShadowonPlane 
ShadowonFace 
ShadowonSphere 

Enumerator
Vector 
Point 

Enumerator
Bodies 
Curves 
AssemblyUnassociativeOnly 

Property Documentation

unsafe NXOpen.Features.ShadowCurveBuilder.AccuracyTypes NXOpen.Features.ShadowCurveBuilder.AccuracyType
getset

Returns or sets the accuracy type

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.Features.ShadowCurveBuilder.BeamDirection
getset

Returns or sets the beam direction

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.ShadowCurveBuilder.ClippingBody
getset

Returns or sets the clipping body

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.ShadowCurveBuilder.ClippingTypes NXOpen.Features.ShadowCurveBuilder.ClippingType
getset

Returns or sets the type

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.ShadowCurveBuilder.CurveLocationFaces
getset

Returns or sets the curve location faces

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Plane NXOpen.Features.ShadowCurveBuilder.CurveLocationPlane
getset

Returns or sets the curve location plane

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.ShadowCurveBuilder.CurveLocationTypes NXOpen.Features.ShadowCurveBuilder.CurveLocationType
getset

Returns or sets the curve location type

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.CurveSettings NXOpen.Features.ShadowCurveBuilder.CurveSettings
getset

Returns or sets the curve setting data

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.ShadowCurveBuilder.DistanceThreshold
getset

Returns or sets the distance threshold

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.ShadowCurveBuilder.EnableShadowRange
getset

Returns or sets the enable shadow range

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.ShadowCurveBuilder.HalfAngle
get

Returns the half angle

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Features.ShadowCurveBuilder.LightSourceTypes NXOpen.Features.ShadowCurveBuilder.LightSourceType
getset

Returns or sets the light source type

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.ShadowCurveBuilder.MaskingBodies
getset

Returns or sets the masking bodies

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.Features.ShadowCurveBuilder.MaskingCurves
getset

Returns or sets the masking curves

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.ShadowCurveBuilder.MaskTypes NXOpen.Features.ShadowCurveBuilder.MaskType
getset

Returns or sets the mask type

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.ShadowCurveBuilder.OptimizeCurveFlag
getset

Returns or sets the Optimize Curve

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.Features.ShadowCurveBuilder.OriginPoint
getset

Returns or sets the origin point

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.Features.ShadowCurveBuilder.RayDirection
getset

Returns or sets the ray direction

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.ShadowCurveBuilder.ShadowRangeOnPlane
get

Returns the shadow range on plane

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShadowCurveBuilder.SphereDiameter
get

Returns the sphere diameter

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.ShadowCurveBuilder.UnassociativeMaskingBodiesFromAssembly
getset

Returns or sets the unassociative masking bodies from assembly

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.Features.ShadowCurveBuilder.UpVector
getset

Returns or sets the up vector

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.ShadowCurveBuilder.VerticalHalfAngle
get

Returns the vertical half angle

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShadowCurveBuilder.WidthHalfAngle
get

Returns the width half angle

Created in NX1872.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.